# Generated by Django 3.2.4 on 2021-06-18 15:48

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Полное название группы', max_length=150)),
                ('short_name', models.CharField(help_text='Сокращенное название группы', max_length=50)),
                ('num', models.IntegerField(help_text='Уникальный номер группы')),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rating', models.FloatField(blank=True)),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timetable.group')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Lesson',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name of event', max_length=50)),
                ('type', models.CharField(choices=[('лекция', 'лекция'), ('практика', 'практика'), ('экзамен', 'экзамен')], help_text='lecture,practice,exam', max_length=50)),
                ('teacher', models.CharField(max_length=120)),
                ('date', models.DateField(help_text='time of event')),
                ('time_start', models.TimeField(help_text='start of event')),
                ('time_end', models.TimeField(help_text='end of event')),
                ('room', models.CharField(help_text='place of event', max_length=50)),
                ('theme', models.CharField(blank=True, help_text='theme of event', max_length=150)),
                ('dist', models.CharField(blank=True, help_text='link to online resources', max_length=150)),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timetable.group')),
            ],
            options={
                'permissions': (('can_edit_lesson', 'Edit dist,theme of lesson'),),
            },
        ),
    ]
